Create a webhook registration
curl --request POST \
--url https://app.sandbox.rio.trade/api/webhooks/{type} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "<string>",
"userId": "66290ac8bd3903485989f82e",
"retryOnFailure": true
}
'import requests
url = "https://app.sandbox.rio.trade/api/webhooks/{type}"
payload = {
"url": "<string>",
"userId": "66290ac8bd3903485989f82e",
"retryOnFailure": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', userId: '66290ac8bd3903485989f82e', retryOnFailure: true})
};
fetch('https://app.sandbox.rio.trade/api/webhooks/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "66733d33222710ab2785dc62",
"secret": "IgAeeIIorKQ86gAGItsmY0slzhxRY1Gvj/VIJz8DtIs="
}Webhooks API
Register a Webhook
POST
/
api
/
webhooks
/
{type}
Create a webhook registration
Authorizations
Path Parameters
Type of webhook to be created.
Available options:
orders, bank-accounts, users Body
application/json
URL to send the webhook to
The user ID of the user that the webhook is being created for
Example:
"66290ac8bd3903485989f82e"
Whether to retry webhook delivery on failure. If true, the system will retry up to 5 times with exponential backoff. If false or not provided, only one attempt will be made.
Example:
true
⌘I